Skip to main content
DELETE
/
v1
/
custom_functions
/
{function_id}
Delete Custom Function
curl --request DELETE \
  --url https://api.example.com/v1/custom_functions/{function_id} \
  --header 'x-api-key: <api-key>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}
Permanently delete a custom function. Make sure to remove it from any agents’ attached_tools and graph before deleting.

Path Parameters

function_id
string
required
Unique identifier of the custom function to delete

Response

Returns HTTP 202 Accepted on successful deletion.

Example Request

curl -X DELETE -H "x-api-key: <your-api-key>" \
  "https://api.xpander.ai/v1/custom_functions/<function-id>"

Notes

  • Remove the function from any agents’ attached_tools and graph before deleting
  • This operation is permanent and cannot be undone

Authorizations

x-api-key
string
header
required

API Key for authentication

Path Parameters

function_id
string
required

Response

Successful Response